Index: /locker/bin/signup-minimal
===================================================================
--- /locker/bin/signup-minimal	(revision 501)
+++ /locker/bin/signup-minimal	(revision 502)
@@ -55,5 +55,5 @@
     echo "Try running \"fs sa /mit/$lname $USER all\" and starting over."
     echo "Contact scripts@mit.edu if you are unable to solve the problem."
-    exit 0
+    exit 1
   fi
 fi
@@ -65,5 +65,5 @@
   echo "ERROR:"
   echo "Cannot find locker <$lname>."
-  exit 0
+  exit 1
 fi
 
@@ -76,5 +76,5 @@
   echo "(that's a lowercase L rather than a one) and then try again."
   echo "Contact scripts@mit.edu if you are unable to solve the problem."
-  exit 0
+  exit 1
 fi
 
@@ -86,5 +86,5 @@
   echo "It appears as though you do not have write access to the locker <$lname>."
   echo "Contact scripts@mit.edu if you are unable to solve the problem."
-  exit 0
+  exit 1
 fi
 
@@ -95,6 +95,13 @@
 fi
 
-$WGET -q -O/dev/null "http://scripts.mit.edu/~signup/$lname"
+ans=`$WGET -q -O- "http://scripts.mit.edu/~signup/$lname"`
 rmdir "/mit/$lname/.scripts-signup"
+
+if [ "$ans" != "done" ] && [ "$ans" != "username already taken" ]; then
+  echo "ERROR:"
+  echo "Signup reported the following error: \"$ans\"."
+  echo "Contact scripts@mit.edu for assistance."
+  exit 1
+fi
 
 success() {
